CGAL 6.1.2 - 3D Simplicial Mesh Data Structures: CGAL::Simplicial_mesh_cell_base_3< Gt, SubdomainIndex, SurfacePatchIndex, Cb > Class Template Reference

CGAL 6.1.2 - 3D Simplicial Mesh Data Structures

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Simplicial_mesh_cell_base_3< Gt, SubdomainIndex, SurfacePatchIndex, Cb > Class Template Reference
Reference Manual » Classes

`#include <CGAL/Simplicial_mesh_cell_base_3.h>`

## Inherits from

CGAL::Triangulation_cell_base_3< typename Traits, typename TDSCb >.

## Definition

template<typename Gt, typename SubdomainIndex, typename SurfacePatchIndex, typename Cb = Triangulation_cell_base_3<Gt>>
class CGAL::Simplicial_mesh_cell_base_3< Gt, SubdomainIndex, SurfacePatchIndex, Cb >

The class `Simplicial_mesh_cell_base_3` is a model of the concept `SimplicialMeshCellBase_3`.

It is designed to serve as cell base class for 3D simplicial mesh data structures. It stores and gives access to data about the complex the cell belongs to, such as the subdomain it belongs to or surface it takes part to.

Template Parameters

  Gt | is the geometric traits class. It must be a model of the concept `TriangulationTraits_3`
  SubdomainIndex | Type of indices for subdomains of the discretized geometric domain. Must be a model of `CopyConstructible`, `Assignable`, `DefaultConstructible` and `EqualityComparable`. The default constructed value must match the label of the exterior of the domain (which contains at least the unbounded component). It must match `MeshDomain_3::Subdomain_index` when used for mesh generation.
  SurfacePatchIndex | Type of indices for surface patches (boundaries and interfaces) of the discretized geometric domain. Must be a model of `CopyConstructible`, `Assignable`, `DefaultConstructible` and `EqualityComparable`. The default constructed value must be the index value assigned to a non surface facet. It must match `MeshDomain_3::Surface_patch_index` when used for mesh generation.
  Cb | is the cell base class from which `Simplicial_mesh_cell_base_3` derives. It must be a model of the concept `TriangulationCellBase_3`.

Is model of
  `SimplicialMeshCellBase_3`

See also
  `CGAL::Mesh_complex_3_in_triangulation_3<Tr,CornerIndex,CurveIndex>`
  `CGAL::Mesh_cell_base_3`
  `MeshDomain_3`
  `MeshDomainWithFeatures_3`

Examples
  SMDS_3/c3t3_example.cpp.

## Public Member Functions
void | set_surface_patch_index (const int facet, const Surface_patch_index &index)
| Set surface index of `facet` to `index`.
Surface_patch_index | surface_patch_index (const int facet) const
| Returns surface index of facet `facet`.
bool | is_facet_on_surface (const int facet) const
| Returns true if facet lies on a surface patch.
Surface_index | surface_index (const int facet) const
| Returns surface index of facet `facet`.
typedef Tag_true | Has_timestamp
| For the determinism of Compact_container iterators.